Debian Bug report logs - #267613
sa leaves 5MB expire files in /var/spool/spamassassin/nobody/

version graph

Package: spamassassin; Maintainer for spamassassin is Noah Meyerhans <noahm@debian.org>; Source for spamassassin is src:spamassassin.

Reported by: Calum Mackay <calum.mackay@cdmnet.org>

Date: Mon, 23 Aug 2004 16:48:01 UTC

Severity: important

Found in version 2.64-1

Done: Calum Mackay <calum.mackay@cdmnet.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.spamassassin.org/show_bug.cgi?id=3726

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Calum Mackay <calum.mackay@cdmnet.org>:
New Bug report received and forwarded. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sa leaves 5MB expire files in /var/spool/spamassassin/nobody/
Date: Mon, 23 Aug 2004 17:30:02 +0100
Package: spamassassin
Version: 2.64-1
Severity: important

It's probable that I've mucked up something in the configuration, but...

Having just ran out of disk space I was astonished to find that
/var/spool/spamassassin/nobody/ was taking up 42GB (sic). This consisted
of thousands of bayes_toks.expire files, one for every single email
received, for all users, going back months:

diz $ ls -l
total 47576
-rw-rw-rw-  1 root   root       86016 2003-10-25 23:16 auto-whitelist
-rw-------  2 root   root       12288 2003-10-26 01:03
auto-whitelist.dir
-rw-------  2 root   root       12288 2003-10-26 01:03
auto-whitelist.pag
-rw-rw-rw-  1 calum  calum       4155 2004-08-23 17:26 bayes_journal
-rw-rw-rw-  1 nobody nogroup  2584576 2004-08-23 17:26 bayes_seen
-rw-rw-rw-  1 root   root    10244096 2004-08-23 17:26 bayes_toks
-rw-rw-rw-  1 brian  brian    5255168 2004-08-23 15:58
bayes_toks.expire13091
-rw-rw-rw-  1 calum  calum    5255168 2004-08-23 16:08
bayes_toks.expire13925
-rw-rw-rw-  1 calum  calum    5255168 2004-08-23 16:14
bayes_toks.expire14454
-rw-rw-rw-  1 calum  calum    5255168 2004-08-23 16:29
bayes_toks.expire14922
-rw-rw-rw-  1 calum  calum    5255168 2004-08-23 16:36
bayes_toks.expire15160

etc, etc.

I don't have spamd enabled, and I have these options:

OPTIONS="-a -m 10 --helper-home-dir /var/spool/spamassassin/nobody"

and:

> bayes_path /var/spool/spamassassin/nobody/bayes
> bayes_file_mode 0777

in local.cf.

have I mucked up here?


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8

Versions of packages spamassassin depends on:
ii  debconf                       1.4.32     Debian configuration management sy
ii  libhtml-parser-perl           3.36-1     A collection of modules that parse
ii  perl                          5.8.4-2    Larry Wall's Practical Extraction 
ii  spamc                         2.64-1     Client for perl-based spam filteri

-- debconf information:
  spamassassin/upgrade/2.40:
  spamassassin/upgrade/2.40w:
  spamassassin/upgrade/cancel: Continue
  spamassassin/upgrade/2.42: No
  spamassassin/upgrade/2.42m: No
  spamassassin/upgrade/2.42u: No



Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Jesus Climent <jesus.climent@hispalinux.es>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #10 received at 267613@bugs.debian.org (full text, mbox):

From: Jesus Climent <jesus.climent@hispalinux.es>
To: Calum Mackay <calum.mackay@cdmnet.org>, 267613@bugs.debian.org
Subject: Re: Bug#267613: sa leaves 5MB expire files in /var/spool/spamassassin/nobody/
Date: Mon, 23 Aug 2004 22:03:56 +0200
On Mon, Aug 23, 2004 at 05:30:02PM +0100, Calum Mackay wrote:
> 
> It's probable that I've mucked up something in the configuration, but...
> 
> Having just ran out of disk space I was astonished to find that
> /var/spool/spamassassin/nobody/ was taking up 42GB (sic). This consisted
> of thousands of bayes_toks.expire files, one for every single email
> received, for all users, going back months:

A comment from irc:

mooch: sort of, but would take far more info to debug.  My guess is they are
using something like amavis or mailscanner and it is timing out before the
bayes expire can finish, running an sa-learn --force-expire would solve that.
Long term, turn off auto_expire and run that command every so often out of
cron.

-- 
Jesus Climent                                      info:www.pumuki.org
Unix SysAdm|Linux User #66350|Debian Developer|2.4.26|Helsinki Finland
GPG: 1024D/86946D69 BB64 2339 1CAA 7064 E429  7E18 66FC 1D7F 8694 6D69

Allow myself to introduce... myself.
		--Austin Powers (Austin Powers: International Man of Mystery)



Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Calum Mackay <calum.mackay@cdmnet.org>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #15 received at 267613@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: Jesus Climent <jesus.climent@hispalinux.es>
Cc: 267613@bugs.debian.org
Subject: Re: Bug#267613: sa leaves 5MB expire files in /var/spool/spamassassin/nobody/
Date: Mon, 23 Aug 2004 23:08:37 +0100
thanks Jesus,

> mooch: sort of, but would take far more info to debug.  My guess is they are
> using something like amavis or mailscanner and it is timing out before the
> bayes expire can finish, running an sa-learn --force-expire would solve that.
> Long term, turn off auto_expire and run that command every so often out of
> cron.

It's running from exim4. I'll try the manual expire...

cheers,
c.



Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Calum Mackay <calum.mackay@cdmnet.org>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #20 received at 267613@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: Jesus Climent <jesus.climent@hispalinux.es>
Cc: 267613@bugs.debian.org
Subject: Re: Bug#267613: sa leaves 5MB expire files in /var/spool/spamassassin/nobody/
Date: Wed, 25 Aug 2004 15:15:58 +0100
Jesus Climent wrote:
> mooch: sort of, but would take far more info to debug.  My guess is they are
> using something like amavis or mailscanner and it is timing out before the
> bayes expire can finish, running an sa-learn --force-expire would solve that.
> Long term, turn off auto_expire and run that command every so often out of
> cron.

I tried a force-expire, as both root, and one of the users. Didn't seem 
to make any difference to the contents of 
/var/spool/spamassassin/nobody, which is already up to 1GB and 250 files.

I'm happy to provide as much debugging info as is needed, if someone 
will tell me what to collect?

thanks much.

cheers,
c.



Noted your statement that Bug has been forwarded to http://bugzilla.spamassassin.org/show_bug.cgi?id=3726. Request was from Jesus Climent <jesus.climent@hispalinux.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Calum Mackay <calum.mackay@cdmnet.org>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #27 received at 267613@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: Calum Mackay <calum.mackay@cdmnet.org>
Cc: users@spamassassin.apache.org, climent@users.sourceforge.net, 267613@bugs.debian.org
Subject: Re: loads of expire files filling up /var/spool/spamassassin/nobody
Date: Wed, 15 Sep 2004 14:26:23 +0100
Calum Mackay wrote:
> Is it just me that gets loads of files bayes_toks.expire* filling up 
> /var/spool/spamassassin/nobody ?
> 
> I seem to get a 10MB file of this form in there for every single email - 
> for every user - SA handles :(

I didn't get any replies, but for the archives: I fixed this by removing 
the sticky bit (mode 01000) from the /var/spool/spamassassin/nobody 
directory.

cheers,
c.



Reply sent to Calum Mackay <calum.mackay@cdmnet.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Calum Mackay <calum.mackay@cdmnet.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 267613-done@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: 267613-done@bugs.debian.org
Subject: Re: loads of expire files filling up /var/spool/spamassassin/nobody
Date: Wed, 15 Sep 2004 14:30:39 +0100
Calum Mackay wrote:
> Is it just me that gets loads of files bayes_toks.expire* filling up 
> /var/spool/spamassassin/nobody ?
> 
> I seem to get a 10MB file of this form in there for every single email - 
> for every user - SA handles :(

I didn't get any replies, but for the archives: I fixed this by removing
the sticky bit (mode 01000) from the /var/spool/spamassassin/nobody
directory.

cheers,
c.




Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to jm@jmason.org (Justin Mason):
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #37 received at 267613@bugs.debian.org (full text, mbox):

From: jm@jmason.org (Justin Mason)
To: Calum Mackay <calum.mackay@cdmnet.org>
Cc: users@spamassassin.apache.org, climent@users.sourceforge.net, 267613@bugs.debian.org
Subject: Re: loads of expire files filling up /var/spool/spamassassin/nobody
Date: Wed, 15 Sep 2004 07:39:31 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Calum Mackay writes:
> Calum Mackay wrote:
> > Is it just me that gets loads of files bayes_toks.expire* filling up 
> > /var/spool/spamassassin/nobody ?
> > 
> > I seem to get a 10MB file of this form in there for every single email - 
> > for every user - SA handles :(
> 
> I didn't get any replies, but for the archives: I fixed this by removing 
> the sticky bit (mode 01000) from the /var/spool/spamassassin/nobody 
> directory.

how wierd!

any idea why that had that effect?

- --j.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Exmh CVS

iD8DBQFBSFQjQTcbUG5Y7woRAgPhAJ9/uudfe6Z7d3f3pmyL4J9Cn+swVgCgm4Dt
mm4osd99+Xp/C3BjbFmXGmU=
=nWZJ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to Calum Mackay <calum.mackay@cdmnet.org>:
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #42 received at 267613@bugs.debian.org (full text, mbox):

From: Calum Mackay <calum.mackay@cdmnet.org>
To: Justin Mason <jm@jmason.org>
Cc: users@spamassassin.apache.org, climent@users.sourceforge.net, 267613@bugs.debian.org
Subject: Re: loads of expire files filling up /var/spool/spamassassin/nobody
Date: Wed, 15 Sep 2004 15:12:11 +0100
Justin Mason wrote:
> any idea why that had that effect?

yup, SA, running as the user who was getting mail, was unable to move 
the existing journal file out of the way, since it didn't own it. The 
sticky bit means that you can only unlink (e.g. move) files that you 
own, despite having write perm on the directory.

cheers,
c.



Information forwarded to debian-bugs-dist@lists.debian.org, Duncan Findlay <duncf@debian.org>:
Bug#267613; Package spamassassin. Full text and rfc822 format available.

Acknowledgement sent to jm@jmason.org (Justin Mason):
Extra info received and forwarded to list. Copy sent to Duncan Findlay <duncf@debian.org>. Full text and rfc822 format available.

Message #47 received at 267613@bugs.debian.org (full text, mbox):

From: jm@jmason.org (Justin Mason)
To: Calum Mackay <calum.mackay@cdmnet.org>
Cc: Justin Mason <jm@jmason.org>, users@spamassassin.apache.org, climent@users.sourceforge.net, 267613@bugs.debian.org
Subject: Re: loads of expire files filling up /var/spool/spamassassin/nobody
Date: Wed, 15 Sep 2004 08:53:04 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Calum Mackay writes:
> Justin Mason wrote:
> > any idea why that had that effect?
> 
> yup, SA, running as the user who was getting mail, was unable to move 
> the existing journal file out of the way, since it didn't own it. The 
> sticky bit means that you can only unlink (e.g. move) files that you 
> own, despite having write perm on the directory.

OK, that's a very good point that I'd missed (for one)!

any chance you could write up a FAQ entry on the symptoms and the
resolution for http://wiki.apache.org/spamassassin/?   I'd
be very grateful, because this has cropped up before on the
list, it's always had me stumped, and that explanation makes
a lot of sense.

- --j.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Exmh CVS

iD8DBQFBSGVgQTcbUG5Y7woRAkoKAKDIkyp7hmqexoKhU/4y0kk9iX6ObwCZAVZu
EcWGKCyquOmcu15cDz1CgpI=
=flNr
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:07:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.